## Quectel service

Quectel service — Support for the Quectel service.

## Functions

MbimMessage * | mbim_message_quectel_radio_state_query_new ()
MbimMessage * | mbim_message_quectel_radio_state_set_new ()
gboolean | mbim_message_quectel_radio_state_response_parse ()

## Description

This section implements support for requests, responses and notifications in the Quectel service.

## Functions

### mbim_message_quectel_radio_state_query_new ()

    MbimMessage *
    mbim_message_quectel_radio_state_query_new
                                   (GError **error);

Create a new request for the 'Radio State' query command in the 'Quectel' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.26.2

### mbim_message_quectel_radio_state_set_new ()

    MbimMessage *
    mbim_message_quectel_radio_state_set_new
                                   (MbimQuectelRadioSwitchState radio_state,
                                    GError **error);

Create a new request for the 'Radio State' set command in the 'Quectel' service.

#### Parameters

radio_state | the 'RadioState' field, given as a MbimQuectelRadioSwitchState. | [in]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.26.2

### mbim_message_quectel_radio_state_response_parse ()

    gboolean
    mbim_message_quectel_radio_state_response_parse
                                   (const MbimMessage *message,
                                    MbimQuectelRadioSwitchState *out_radio_state,
                                    GError **error);

Parses and returns parameters of the 'Radio State' response command in the 'Quectel' service.

#### Parameters

message | the MbimMessage. |
out_radio_state | return location for a MbimQuectelRadioSwitchState, or `NULL` if the 'RadioState' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.26.2